Classes | Namespaces | Functions
SWFieldManager.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "SWFieldManager.hxx"`
`#include "StarObject.hxx"`
`#include "StarState.hxx"`
`#include "StarZone.hxx"`
`#include "STOFFListener.hxx"`
`#include "STOFFSubDocument.hxx"`

## Classes
struct | SWFieldManagerInternal::FieldDateTime
| Internal: a fixed date time field. More...
struct | SWFieldManagerInternal::FieldDBField
| Internal: a DB field field. More...
struct | SWFieldManagerInternal::FieldHiddenText
| Internal: a hidden text/para field. More...
struct | SWFieldManagerInternal::FieldINet
| Internal: a set field field. More...
struct | SWFieldManagerInternal::FieldJumpEdit
| Internal: a jump edit field. More...
struct | SWFieldManagerInternal::FieldPageNumber
| Internal: a pageNumber field. More...
struct | SWFieldManagerInternal::FieldPostIt
| Internal: a postit field. More...
struct | SWFieldManagerInternal::FieldScript
| Internal: a script field. More...
struct | SWFieldManagerInternal::FieldSetExp
| Internal: a set expr field. More...
struct | SWFieldManagerInternal::FieldSetField
| Internal: a set field field. More...
struct | SWFieldManagerInternal::State
| Internal: the state of a SWFieldManager. More...
class | SWFieldManagerInternal::SubDocument
| Internal: the subdocument of a SWFieldManger. More...

## Namespaces
namespace | SWFieldManagerInternal
| Internal: the structures of a SWFieldManager.

## Functions
static void | SWFieldManagerInternal::updateDatabaseName (librevenge::RVNGString const &name, librevenge::RVNGPropertyList &pList)